package com.yidianling.uikit.business.session.actions;

import com.ydl.ydlcommon.utils.actionutil.ActionCountUtils;
import com.yidianling.im.R;
import com.netease.nimlib.sdk.chatroom.ChatRoomMessageBuilder;
import com.netease.nimlib.sdk.msg.MessageBuilder;
import com.netease.nimlib.sdk.msg.constant.SessionTypeEnum;
import com.netease.nimlib.sdk.msg.model.IMMessage;
import com.yidianling.medical.extension.ImActionCountConstantsKt;

import java.io.File;

/**
 * Created by hzxuwen on 2015/6/12.
 */
public class ImageAction extends PickImageAction {

    public ImageAction() {
        super(R.drawable.im_chatbar_colormore_photo, R.string.im_input_panel_photo_medical, true);
    }

    @Override
    protected void onPicked(File file) {
        // 埋点
        ActionCountUtils.Companion.baiDuCountSign1(ImActionCountConstantsKt.YDL_MEDICAL_MESSAGE_DETAIL_PAGE,"photo_album_button_click","");
        IMMessage message;
        if (getContainer() != null && getContainer().sessionType == SessionTypeEnum.ChatRoom) {
            message = ChatRoomMessageBuilder.createChatRoomImageMessage(getAccount(), file, file.getName());
        } else {
            message = MessageBuilder.createImageMessage(getAccount(), getSessionType(), file, file.getName());
        }
        sendMessage(message);
    }
}

